<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>Lectrum</title>
	<style>
		.box {
			width: calc(100% - 100px);
			background-color: aliceblue;
		}
		.button::after {
			content: '';
			position: absolute;
			top: calc(-1 *  3px);
			left: calc(-1 *  3px);
			height: calc(100% +  3px * 2);
			width: calc(100% +  3px * 2);
		}
	</style>
</head>
<body>

	<!--  Пример calc() -->
	<!--  Делаем расчет ширины блока -->
	<div class="box"> </div>

	<!--  Делаем расчет размеров и позиции для псевдоелеменат -->
	<button type="button" class="button"> </button>

	
</body>
</html>
